package com.goafanti.admin.service.impl;

import org.springframework.stereotype.Service;

import com.goafanti.admin.service.AttachmentService;
import com.goafanti.common.model.Attachment;
@Service
public class AttachmentServiceImpl implements AttachmentService {
	

	@Override
	public Attachment insert(Attachment f) {
//		aftFileMapper.insert(f);
		return f;
	}

	@Override
	public Attachment selectAftFileBySign(String sign) {
//		return aftFileMapper.selectAftFileBySign(sign);
		return null;
	}

	@Override
	public Attachment selectByReceivbles(String sign) {
		Attachment a=new Attachment();
		String url=String.format("/tmp/%s%s", sign,".xls");
		a.setFileName("模板.xls");
		a.setFilePath(url);
		return a;
	}
}
